跳转到内容
返回主页

FLUX.2 [pro]

flux_2_pro

FLUX.2 [pro] 是第二代专业图像生成模型,具有改进的质量和更快的处理速度。

POST /v1/queue/flux_2_pro # 创建任务
GET /v1/queue/flux_2_pro/requests/{request_id}/status # 查询状态
GET /v1/queue/flux_2_pro/requests/{request_id}/response # 获取结果
PUT /v1/queue/flux_2_pro/requests/{request_id}/cancel # 取消任务
Terminal window
curl --location "https://cloud.seaart.ai/model/v1/queue/flux_2_pro" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"prompt": "A clean product photo of a red apple on a white table, soft studio lighting.",
"input_image": "BASE64_IMAGE_DATA",
"seed": 42,
"width": 1024,
"height": 768,
"safety_tolerance": 2,
"output_format": "jpeg"
}'
prompt string 必填

提示词

input_image string

第 1 张输入图像,使用 Base64 编码数据传入

input_image_2 string

输入图像,使用 Base64 编码数据传入

input_image_3 string

输入图像,使用 Base64 编码数据传入

input_image_4 string

输入图像,使用 Base64 编码数据传入

input_image_5 string

输入图像,使用 Base64 编码数据传入

input_image_6 string

输入图像,使用 Base64 编码数据传入

input_image_7 string

输入图像,使用 Base64 编码数据传入

input_image_8 string

输入图像,使用 Base64 编码数据传入

seed int

随机种子,用于结果复现,例如 42

width int

图片宽度,必须是 32 的倍数

最小值:64

height int

图片高度,必须是 32 的倍数

最小值:64

safety_tolerance int

输入和输出审核的容忍等级;0 最严格,5 最宽松

范围:0 <= x <= 5

默认值:2

output_format string

输出格式

可选值:jpegpngwebp

默认值:jpeg

{
"request_id": "mmsu_01hxyz...",
"response_url": "https://cloud.seaart.ai/model/v1/queue/flux_2_pro/requests/mmsu_01hxyz.../response",
"status_url": "https://cloud.seaart.ai/model/v1/queue/flux_2_pro/requests/mmsu_01hxyz.../status",
"cancel_url": "https://cloud.seaart.ai/model/v1/queue/flux_2_pro/requests/mmsu_01hxyz.../cancel",
"queue_position": 0
}
字段类型说明
request_idstring任务 ID,后续查询、获取结果和取消都使用它
response_urlstring获取最终结果的 URL
status_urlstring查询任务状态的 URL
cancel_urlstring取消任务的 URL
queue_positionint队列位置